Subject: Re: bug#5215: 23.1.50; blink-cursor-mode docstring

From: Kevin Rodgers <[email-masked]>
Date: Tue, 15 Dec 2009 01:27:11 -0700

[email-masked] wrote:
> One finds
> (custom-set-variables
>  '(blink-cursor-mode nil)...
> However
>   blink-cursor-mode is an interactive compiled Lisp function in...
>   With a numeric argument, turn blinking cursor mode on if ARG is
>   positive,...

According to its doc string, custom-set-variables sets each SYMBOL's
value cell.  It does not call each SYBMOL's function cell.

Do you understand the difference between a variable and a function?

> But only numeric arguments are mentioned. And a quick peek in the Emacs
> Lisp manual doesn't say if nil is a numeric argument. Therefore the
> docstring of blink-cursor-mode should be beefed up perhaps.
> 
> Compare
>   size-indication-mode is an interactive compiled Lisp function in...
>   With ARG, turn Size Indication mode on if ARG is positive...

-- 
Kevin Rodgers
Denver, Colorado, USA